[vectordb](../README.md) / [Exports](../modules.md) / DefaultWriteOptions

# Class: DefaultWriteOptions

Write options when creating a Table.

## Implements

- [`WriteOptions`](../interfaces/WriteOptions.md)

## Table of contents

### Constructors

- [constructor](DefaultWriteOptions.md#constructor)

### Properties

- [writeMode](DefaultWriteOptions.md#writemode)

## Constructors

### constructor

• **new DefaultWriteOptions**()

## Properties

### writeMode

• **writeMode**: [`WriteMode`](../enums/WriteMode.md) = `WriteMode.Create`

A [WriteMode](../enums/WriteMode.md) to use on this operation

#### Implementation of

[WriteOptions](../interfaces/WriteOptions.md).[writeMode](../interfaces/WriteOptions.md#writemode)

#### Defined in

[index.ts:778](https://github.com/lancedb/lancedb/blob/7856a94/node/src/index.ts#L778)
